Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(revision 9469)
+++ t3lib/class.t3lib_tceforms.php	(revision )
@@ -1537,50 +1523,50 @@
 		}
 
 			// Possibly remove some items:
-		$removeItems = t3lib_div::trimExplode(',',$PA['fieldTSConfig']['removeItems'],1);
+		$removeItems = t3lib_div::trimExplode(',', $PA['fieldTSConfig']['removeItems'], 1);
-		foreach($selItems as $tk => $p)	{
+		foreach ($selItems as $tk => $p) {
 
 				// Checking languages and authMode:
 			$languageDeny = $TCA[$table]['ctrl']['languageField'] && !strcmp($TCA[$table]['ctrl']['languageField'], $field) && !$GLOBALS['BE_USER']->checkLanguageAccess($p[1]);
-			$authModeDeny = $config['form_type']=='select' && $config['authMode'] && !$GLOBALS['BE_USER']->checkAuthMode($table,$field,$p[1],$config['authMode']);
+			$authModeDeny = $config['form_type'] == 'select' && $config['authMode'] && !$GLOBALS['BE_USER']->checkAuthMode($table, $field, $p[1], $config['authMode']);
-			if (in_array($p[1],$removeItems) || $languageDeny || $authModeDeny)	{
+			if (in_array($p[1], $removeItems) || $languageDeny || $authModeDeny) {
 				unset($selItems[$tk]);
 			} elseif (isset($PA['fieldTSConfig']['altLabels.'][$p[1]])) {
-				$selItems[$tk][0]=$this->sL($PA['fieldTSConfig']['altLabels.'][$p[1]]);
+				$selItems[$tk][0] = $this->sL($PA['fieldTSConfig']['altLabels.'][$p[1]]);
 			}
 
 				// Removing doktypes with no access:
 			if (($table === 'pages' || $table === 'pages_language_overlay') && $field === 'doktype') {
-				if (!($GLOBALS['BE_USER']->isAdmin() || t3lib_div::inList($GLOBALS['BE_USER']->groupData['pagetypes_select'],$p[1])))	{
+				if (!($GLOBALS['BE_USER']->isAdmin() || t3lib_div::inList($GLOBALS['BE_USER']->groupData['pagetypes_select'], $p[1]))) {
 					unset($selItems[$tk]);
 				}
 			}
 		}
 
 			// Creating the label for the "No Matching Value" entry.
-		$nMV_label = isset($PA['fieldTSConfig']['noMatchingValue_label']) ? $this->sL($PA['fieldTSConfig']['noMatchingValue_label']) : '[ '.$this->getLL('l_noMatchingValue').' ]';
+		$nMV_label = isset($PA['fieldTSConfig']['noMatchingValue_label']) ? $this->sL($PA['fieldTSConfig']['noMatchingValue_label']) : '[ ' . $this->getLL('l_noMatchingValue') . ' ]';
 
 			// Prepare some values:
 		$maxitems = intval($config['maxitems']);
 
 			// If a SINGLE selector box...
-		if ($maxitems<=1 && $config['renderMode'] !== 'tree') {
+		if ($maxitems <= 1 && $config['renderMode'] !== 'tree') {
-			$item = $this->getSingleField_typeSelect_single($table,$field,$row,$PA,$config,$selItems,$nMV_label);
+			$item = $this->getSingleField_typeSelect_single($table, $field, $row, $PA, $config, $selItems, $nMV_label);
-		} elseif (!strcmp($config['renderMode'],'checkbox'))	{	// Checkbox renderMode
+		} elseif (!strcmp($config['renderMode'], 'checkbox')) { // Checkbox renderMode
-			$item = $this->getSingleField_typeSelect_checkbox($table,$field,$row,$PA,$config,$selItems,$nMV_label);
+			$item = $this->getSingleField_typeSelect_checkbox($table, $field, $row, $PA, $config, $selItems, $nMV_label);
-		} elseif (!strcmp($config['renderMode'],'singlebox'))	{	// Single selector box renderMode
+		} elseif (!strcmp($config['renderMode'], 'singlebox')) { // Single selector box renderMode
-			$item = $this->getSingleField_typeSelect_singlebox($table,$field,$row,$PA,$config,$selItems,$nMV_label);
+			$item = $this->getSingleField_typeSelect_singlebox($table, $field, $row, $PA, $config, $selItems, $nMV_label);
-		} elseif (!strcmp($config['renderMode'],'tree')) { // Tree renderMode
+		} elseif (!strcmp($config['renderMode'], 'tree')) { // Tree renderMode
 			$treeClass = t3lib_div::makeInstance('t3lib_TCEforms_Tree');
 			$item = $treeClass->renderField($table, $field, $row, $PA, $this);
-		} else {	// Traditional multiple selector box:
+		} else { // Traditional multiple selector box:
-			$item = $this->getSingleField_typeSelect_multiple($table,$field,$row,$PA,$config,$selItems,$nMV_label);
+			$item = $this->getSingleField_typeSelect_multiple($table, $field, $row, $PA, $config, $selItems, $nMV_label);
 		}
 
 			// Wizards:
 		if (!$disabled) {
-			$altItem = '<input type="hidden" name="'.$PA['itemFormElName'].'" value="'.htmlspecialchars($PA['itemFormElValue']).'" />';
+			$altItem = '<input type="hidden" name="' . $PA['itemFormElName'] . '" value="' . htmlspecialchars($PA['itemFormElValue']) . '" />';
-			$item = $this->renderWizards(array($item,$altItem),$config['wizards'],$table,$row,$field,$PA,$PA['itemFormElName'],$specConf);
+			$item = $this->renderWizards(array($item, $altItem), $config['wizards'], $table, $row, $field, $PA, $PA['itemFormElName'], $specConf);
 		}
 
 		return $item;
@@ -1600,13 +1586,13 @@
 	 * @return	string		The HTML code for the item
 	 * @see getSingleField_typeSelect()
 	 */
-	function getSingleField_typeSelect_single($table,$field,$row,&$PA,$config,$selItems,$nMV_label)	{
+	function getSingleField_typeSelect_single($table, $field, $row, &$PA, $config, $selItems, $nMV_label) {
 			// check against inline uniqueness
 		$inlineParent = $this->inline->getStructureLevel(-1);
-		if(is_array($inlineParent) && $inlineParent['uid']) {
+		if (is_array($inlineParent) && $inlineParent['uid']) {
 			if ($inlineParent['config']['foreign_table'] == $table && $inlineParent['config']['foreign_unique'] == $field) {
-				$uniqueIds = $this->inline->inlineData['unique'][$this->inline->inlineNames['object'].'['.$table.']']['used'];
+				$uniqueIds = $this->inline->inlineData['unique'][$this->inline->inlineNames['object'] . '[' . $table . ']']['used'];
-				$PA['fieldChangeFunc']['inlineUnique'] = "inline.updateUnique(this,'".$this->inline->inlineNames['object'].'['.$table."]','".$this->inline->inlineNames['form']."','".$row['uid']."');";
+				$PA['fieldChangeFunc']['inlineUnique'] = "inline.updateUnique(this,'" . $this->inline->inlineNames['object'] . '[' . $table . "]','" . $this->inline->inlineNames['form'] . "','" . $row['uid'] . "');";
 			}
 				// hide uid of parent record for symmetric relations
 			if ($inlineParent['config']['foreign_table'] == $table && ($inlineParent['config']['foreign_field'] == $field || $inlineParent['config']['symmetric_field'] == $field)) {
@@ -1625,126 +1611,130 @@
 		$selectedStyle = ''; // Style set on <select/>
 
 		$disabled = '';
-		if($this->renderReadonly || $config['readOnly'])  {
+		if ($this->renderReadonly || $config['readOnly']) {
 			$disabled = ' disabled="disabled"';
 			$onlySelectedIconShown = 1;
 		}
 
 			// Icon configuration:
-		if ($config['suppress_icons']=='IF_VALUE_FALSE')	{
+		if ($config['suppress_icons'] == 'IF_VALUE_FALSE') {
 			$suppressIcons = !$PA['itemFormElValue'] ? 1 : 0;
-		} elseif ($config['suppress_icons']=='ONLY_SELECTED')	{
+		} elseif ($config['suppress_icons'] == 'ONLY_SELECTED') {
-			$suppressIcons=0;
+			$suppressIcons = 0;
-			$onlySelectedIconShown=1;
+			$onlySelectedIconShown = 1;
-		} elseif ($config['suppress_icons']) 	{
+		} elseif ($config['suppress_icons']) {
 			$suppressIcons = 1;
-		} else $suppressIcons = 0;
+		} else {
+			$suppressIcons = 0;
+		}
 
 			// Traverse the Array of selector box items:
 		$optGroupStart = array();
 		$optGroupOpen = FALSE;
-		foreach($selItems as $p)	{
+		foreach ($selItems as $p) {
-			$sM = (!strcmp($PA['itemFormElValue'],$p[1])?' selected="selected"':'');
+			$sM = (!strcmp($PA['itemFormElValue'], $p[1]) ? ' selected="selected"' : '');
-			if ($sM)	{
+			if ($sM) {
 				$sI = $c;
 				$noMatchingValue = 0;
 			}
 
 				// Getting style attribute value (for icons):
-			if ($config['iconsInOptionTags'])	{
+			if ($config['iconsInOptionTags']) {
 				$styleAttrValue = $this->optionTagStyle($p[2]);
 				if ($sM) {
-					list($selectIconFile,$selectIconInfo) = $this->getIcon($p[2]);
+					list($selectIconFile, $selectIconInfo) = $this->getIcon($p[2]);
-						if (!empty($selectIconInfo)) {
-							$selectedStyle = ' style="background: #fff url(' . $selectIconFile . ') 0% 50% no-repeat; padding: 1px 1px 1px 24px; -webkit-background-size: 0;"';
-						}
+					if (!empty($selectIconInfo)) {
+						$selectedStyle = ' style="background: #fff url(' . $selectIconFile . ') 0% 50% no-repeat; padding: 1px 1px 1px 24px; -webkit-background-size: 0;"';
+					}
 				}
 			}
 
 				// Compiling the <option> tag:
 			if (!($p[1] != $PA['itemFormElValue'] && is_array($uniqueIds) && in_array($p[1], $uniqueIds))) {
-				if(!strcmp($p[1],'--div--')) {
+				if (!strcmp($p[1], '--div--')) {
 					$optGroupStart[0] = $p[0];
 					$optGroupStart[1] = $styleAttrValue;
 
 				} else {
 					if (count($optGroupStart)) {
-						if($optGroupOpen) { // Closing last optgroup before next one starts
+						if ($optGroupOpen) { // Closing last optgroup before next one starts
-							$opt[]='</optgroup>' . LF;
+							$opt[] = '</optgroup>' . LF;
 						}
-						$opt[]= '<optgroup label="'.t3lib_div::deHSCentities(htmlspecialchars($optGroupStart[0])).'"'.
+						$opt[] = '<optgroup label="' . t3lib_div::deHSCentities(htmlspecialchars($optGroupStart[0])) . '"' .
-								($optGroupStart[1] ? ' style="'.htmlspecialchars($optGroupStart[1]).'"' : '').
+								 ($optGroupStart[1] ? ' style="' . htmlspecialchars($optGroupStart[1]) . '"' : '') .
-								' class="c-divider">' . LF;
+								 ' class="c-divider">' . LF;
-						$optGroupOpen = true;
+						$optGroupOpen = TRUE;
 						$c--;
 						$optGroupStart = array();
 					}
-					$opt[]= '<option value="'.htmlspecialchars($p[1]).'"'.
+					$opt[] = '<option value="' . htmlspecialchars($p[1]) . '"' .
-							$sM.
+							 $sM .
-							($styleAttrValue ? ' style="'.htmlspecialchars($styleAttrValue).'"' : '').
+							 ($styleAttrValue ? ' style="' . htmlspecialchars($styleAttrValue) . '"' : '') .
-							'>' . t3lib_div::deHSCentities(($p[0])) . '</option>' . LF;
+							 '>' . t3lib_div::deHSCentities(($p[0])) . '</option>' . LF;
 				}
 			}
 
 				// If there is an icon for the selector box (rendered in table under)...:
-			if ($p[2] && !$suppressIcons && (!$onlySelectedIconShown || $sM))	{
+			if ($p[2] && !$suppressIcons && (!$onlySelectedIconShown || $sM)) {
-				list($selIconFile,$selIconInfo)=$this->getIcon($p[2]);
+				list($selIconFile, $selIconInfo) = $this->getIcon($p[2]);
 				$iOnClick = $this->elName($PA['itemFormElName']) . '.selectedIndex=' . $c . '; ' .
-					$this->elName($PA['itemFormElName']) . '.style.backgroundImage=' . $this->elName($PA['itemFormElName']) . '.options[' . $c .'].style.backgroundImage; ' .
+							$this->elName($PA['itemFormElName']) . '.style.backgroundImage=' . $this->elName($PA['itemFormElName']) . '.options[' . $c . '].style.backgroundImage; ' .
-					implode('',$PA['fieldChangeFunc']).$this->blur().'return false;';
+							implode('', $PA['fieldChangeFunc']) . $this->blur() . 'return false;';
-				$selicons[]=array(
+				$selicons[] = array(
-					(!$onlySelectedIconShown ? '<a href="#" onclick="'.htmlspecialchars($iOnClick).'">' : '').
+					(!$onlySelectedIconShown ? '<a href="#" onclick="' . htmlspecialchars($iOnClick) . '">' : '') .
-					'<img src="'.$selIconFile.'" '.$selIconInfo[3].' vspace="2" border="0" title="'.htmlspecialchars($p[0]).'" alt="'.htmlspecialchars($p[0]).'" />'.
+					'<img src="' . $selIconFile . '" ' . $selIconInfo[3] . ' vspace="2" border="0" title="' . htmlspecialchars($p[0]) . '" alt="' . htmlspecialchars($p[0]) . '" />' .
 					(!$onlySelectedIconShown ? '</a>' : ''),
-					$c,$sM);
+					$c, $sM);
 				$onChangeIcon = 'this.style.backgroundImage=this.options[this.selectedIndex].style.backgroundImage;';
 			}
 			$c++;
 		}
 
-		if($optGroupOpen) { // Closing optgroup if open
+		if ($optGroupOpen) { // Closing optgroup if open
-			$opt[]='</optgroup>';
+			$opt[] = '</optgroup>';
 			$optGroupOpen = false;
 		}
 
 			// No-matching-value:
-		if ($PA['itemFormElValue'] && $noMatchingValue && !$PA['fieldTSConfig']['disableNoMatchingValueElement'] && !$config['disableNoMatchingValueElement'])	{
+		if ($PA['itemFormElValue'] && $noMatchingValue && !$PA['fieldTSConfig']['disableNoMatchingValueElement'] && !$config['disableNoMatchingValueElement']) {
 			$nMV_label = @sprintf($nMV_label, $PA['itemFormElValue']);
-			$opt[]= '<option value="'.htmlspecialchars($PA['itemFormElValue']).'" selected="selected">'.htmlspecialchars($nMV_label).'</option>';
+			$opt[] = '<option value="' . htmlspecialchars($PA['itemFormElValue']) . '" selected="selected">' . htmlspecialchars($nMV_label) . '</option>';
 		}
 
 			// Create item form fields:
-		$sOnChange = 'if (this.options[this.selectedIndex].value==\'--div--\') {this.selectedIndex='.$sI.';} '.implode('',$PA['fieldChangeFunc']);
+		$sOnChange = 'if (this.options[this.selectedIndex].value==\'--div--\') {this.selectedIndex=' . $sI . ';} ' . implode('', $PA['fieldChangeFunc']);
-		if(!$disabled) {
+		if (!$disabled) {
-			$item.= '<input type="hidden" name="'.$PA['itemFormElName'].'_selIconVal" value="'.htmlspecialchars($sI).'" />';	// MUST be inserted before the selector - else is the value of the hiddenfield here mysteriously submitted...
+			$item .= '<input type="hidden" name="' . $PA['itemFormElName'] . '_selIconVal" value="' . htmlspecialchars($sI) . '" />'; // MUST be inserted before the selector - else is the value of the hiddenfield here mysteriously submitted...
 		}
 		$item .= '<select' . $selectedStyle . ' id="' . uniqid('tceforms-select-') . '" name="' . $PA['itemFormElName'] . '"' .
-					($config['iconsInOptionTags'] ? $this->insertDefStyle('select', 'icon-select') : $this->insertDefStyle('select')) .
-					($size ? ' size="' . $size . '"' : '') .
-					' onchange="' . htmlspecialchars($onChangeIcon . $sOnChange) . '"' .
-					$PA['onFocus'] . $disabled . '>';
+				 ($config['iconsInOptionTags'] ? $this->insertDefStyle('select', 'icon-select') : $this->insertDefStyle('select')) .
+				 ($size ? ' size="' . $size . '"' : '') .
+				 ' onchange="' . htmlspecialchars($onChangeIcon . $sOnChange) . '"' .
+				 $PA['onFocus'] . $disabled . '>';
-		$item.= implode('',$opt);
+		$item .= implode('', $opt);
-		$item.= '</select>';
+		$item .= '</select>';
 
 			// Create icon table:
-		if (count($selicons) && !$config['noIconsBelowSelect'])	{
+		if (count($selicons) && !$config['noIconsBelowSelect']) {
-			$item.='<table border="0" cellpadding="0" cellspacing="0" class="typo3-TCEforms-selectIcons">';
+			$item .= '<table border="0" cellpadding="0" cellspacing="0" class="typo3-TCEforms-selectIcons">';
 			$selicon_cols = intval($config['selicon_cols']);
-			if (!$selicon_cols)	$selicon_cols=count($selicons);
+			if (!$selicon_cols) {
+				$selicon_cols = count($selicons);
+			}
-			$sR = ceil(count($selicons)/$selicon_cols);
+			$sR = ceil(count($selicons) / $selicon_cols);
-			$selicons = array_pad($selicons,$sR*$selicon_cols,'');
+			$selicons = array_pad($selicons, $sR * $selicon_cols, '');
-			for($sa=0;$sa<$sR;$sa++)	{
+			for ($sa = 0; $sa < $sR; $sa++) {
-				$item.='<tr>';
+				$item .= '<tr>';
-				for($sb=0;$sb<$selicon_cols;$sb++)	{
+				for ($sb = 0; $sb < $selicon_cols; $sb++) {
-					$sk=($sa*$selicon_cols+$sb);
+					$sk = ($sa * $selicon_cols + $sb);
-					$imgN = 'selIcon_'.$table.'_'.$row['uid'].'_'.$field.'_'.$selicons[$sk][1];
+					$imgN = 'selIcon_' . $table . '_' . $row['uid'] . '_' . $field . '_' . $selicons[$sk][1];
-					$imgS = ($selicons[$sk][2]?$this->backPath.'gfx/content_selected.gif':'clear.gif');
+					$imgS = ($selicons[$sk][2] ? $this->backPath . 'gfx/content_selected.gif' : 'clear.gif');
-					$item.='<td><img name="'.htmlspecialchars($imgN).'" src="'.$imgS.'" width="7" height="10" alt="" /></td>';
+					$item .= '<td><img name="' . htmlspecialchars($imgN) . '" src="' . $imgS . '" width="7" height="10" alt="" /></td>';
-					$item.='<td>'.$selicons[$sk][0].'</td>';
+					$item .= '<td>' . $selicons[$sk][0] . '</td>';
 				}
-				$item.='</tr>';
+				$item .= '</tr>';
 			}
-			$item.='</table>';
+			$item .= '</table>';
 		}
 
 		return $item;
@@ -1764,58 +1754,58 @@
 	 * @return	string		The HTML code for the item
 	 * @see getSingleField_typeSelect()
 	 */
-	function getSingleField_typeSelect_checkbox($table,$field,$row,&$PA,$config,$selItems,$nMV_label)	{
+	function getSingleField_typeSelect_checkbox($table, $field, $row, &$PA, $config, $selItems, $nMV_label) {
 
 			// Get values in an array (and make unique, which is fine because there can be no duplicates anyway):
 		$itemArray = array_flip($this->extractValuesOnlyFromValueLabelList($PA['itemFormElValue']));
 
 		$disabled = '';
-		if($this->renderReadonly || $config['readOnly'])  {
+		if ($this->renderReadonly || $config['readOnly']) {
 			$disabled = ' disabled="disabled"';
 		}
 
 			// Traverse the Array of selector box items:
 		$tRows = array();
-		$c=0;
+		$c = 0;
 		if (!$disabled) {
-			$sOnChange = implode('',$PA['fieldChangeFunc']);
+			$sOnChange = implode('', $PA['fieldChangeFunc']);
-			$setAll = array();	// Used to accumulate the JS needed to restore the original selection.
+			$setAll = array(); // Used to accumulate the JS needed to restore the original selection.
 			$unSetAll = array();
-			foreach($selItems as $p)	{
+			foreach ($selItems as $p) {
 					// Non-selectable element:
-				if (!strcmp($p[1],'--div--'))	{
+				if (!strcmp($p[1], '--div--')) {
-					if (count($setAll))	{
+					if (count($setAll)) {
-							$tRows[] = '
+						$tRows[] = '
 								<tr class="c-header-checkbox-controls">
 									<td colspan="3">' .
-										'<a href="#" onclick="' . htmlspecialchars(implode('', $setAll).' return false;') . '">' .
+								   '<a href="#" onclick="' . htmlspecialchars(implode('', $setAll) . ' return false;') . '">' .
-										htmlspecialchars($this->getLL('l_checkAll')) .
-										'</a>
+								   htmlspecialchars($this->getLL('l_checkAll')) .
+								   '</a>
-										<a href="#" onclick="' . htmlspecialchars(implode('', $unSetAll).' return false;').'">' .
+										<a href="#" onclick="' . htmlspecialchars(implode('', $unSetAll) . ' return false;') . '">' .
-										htmlspecialchars($this->getLL('l_uncheckAll')) .
-										'</a>
+								   htmlspecialchars($this->getLL('l_uncheckAll')) .
+								   '</a>
 									</td>
 								</tr>';
-							$setAll = array();
-							$unSetAll = array();
+						$setAll = array();
+						$unSetAll = array();
 					}
 
 					$tRows[] = '
 						<tr class="c-header">
-							<td colspan="3">'.htmlspecialchars($p[0]).'</td>
+							<td colspan="3">' . htmlspecialchars($p[0]) . '</td>
 						</tr>';
 				} else {
 						// Selected or not by default:
 					$sM = '';
-					if (isset($itemArray[$p[1]]))	{
+					if (isset($itemArray[$p[1]])) {
 						$sM = ' checked="checked"';
 						unset($itemArray[$p[1]]);
 					}
 
 						// Icon:
 					$selIconFile = '';
-					if ($p[2])	{
+					if ($p[2]) {
-						list($selIconFile,$selIconInfo) = $this->getIcon($p[2]);
+						list($selIconFile, $selIconInfo) = $this->getIcon($p[2]);
 					}
 
 						// Compile row:
@@ -1824,20 +1814,20 @@
 					$onClick = 'this.attributes.getNamedItem("class").nodeValue = ' . $this->elName($PA['itemFormElName'] . '[' . $c . ']') . '.checked ? "c-selectedItem" : "c-unselectedItem";';
 					$setAll[] = $this->elName($PA['itemFormElName'] . '[' . $c . ']') . '.checked=1;';
 					$setAll[] .= '$(\'' . $rowId . '\').removeClassName(\'c-unselectedItem\');$(\'' . $rowId . '\').addClassName(\'c-selectedItem\');';
-					$unSetAll[] = $this->elName($PA['itemFormElName'].'['.$c.']').'.checked=0;';
+					$unSetAll[] = $this->elName($PA['itemFormElName'] . '[' . $c . ']') . '.checked=0;';
 					$unSetAll[] .= '$(\'' . $rowId . '\').removeClassName(\'c-selectedItem\');$(\'' . $rowId . '\').addClassName(\'c-unselectedItem\');';
 					$restoreCmd[] = $this->elName($PA['itemFormElName'] . '[' . $c . ']') . '.checked=' . ($sM ? 1 : 0) . ';' .
-								'$(\'' . $rowId . '\').removeClassName(\'c-selectedItem\');$(\'' . $rowId . '\').removeClassName(\'c-unselectedItem\');' .
-								'$(\'' . $rowId . '\').addClassName(\'c-' . ($sM ? '' : 'un') . 'selectedItem\');';
+									'$(\'' . $rowId . '\').removeClassName(\'c-selectedItem\');$(\'' . $rowId . '\').removeClassName(\'c-unselectedItem\');' .
+									'$(\'' . $rowId . '\').addClassName(\'c-' . ($sM ? '' : 'un') . 'selectedItem\');';
 
-					$hasHelp = ($p[3] !='');
+					$hasHelp = ($p[3] != '');
 
 					$label = t3lib_div::deHSCentities(htmlspecialchars($p[0]));
 					$help = $hasHelp ? '<span class="typo3-csh-inline show-right"><span class="header">' . $label . '</span>' .
-						'<span class="paragraph">' . $GLOBALS['LANG']->hscAndCharConv(nl2br(trim(htmlspecialchars($p[3]))), false) . '</span></span>' : '';
+									   '<span class="paragraph">' . $GLOBALS['LANG']->hscAndCharConv(nl2br(trim(htmlspecialchars($p[3]))), false) . '</span></span>' : '';
 
 					if ($hasHelp && $this->edit_showFieldHelp == 'icon') {
-						$helpIcon  = '<a class="typo3-csh-link" href="#">';
+						$helpIcon = '<a class="typo3-csh-link" href="#">';
 						$helpIcon .= t3lib_iconWorks::getSpriteIcon('actions-system-help-open');
 						$helpIcon .= $help;
 						$helpIcon .= '</a>';
@@ -1845,61 +1835,61 @@
 					}
 
 					$tRows[] = '
-						<tr id="' . $rowId . '" class="'.($sM ? 'c-selectedItem' : 'c-unselectedItem').'" onclick="'.htmlspecialchars($onClick).'" style="cursor: pointer;">
+						<tr id="' . $rowId . '" class="' . ($sM ? 'c-selectedItem' : 'c-unselectedItem') . '" onclick="' . htmlspecialchars($onClick) . '" style="cursor: pointer;">
-							<td width="12"><input type="checkbox"'.$this->insertDefStyle('check').' name="'.htmlspecialchars($PA['itemFormElName'].'['.$c.']').'" value="'.htmlspecialchars($p[1]).'"'.$sM.' onclick="'.htmlspecialchars($sOnChange).'"'.$PA['onFocus'].' /></td>
+							<td width="12"><input type="checkbox"' . $this->insertDefStyle('check') . ' name="' . htmlspecialchars($PA['itemFormElName'] . '[' . $c . ']') . '" value="' . htmlspecialchars($p[1]) . '"' . $sM . ' onclick="' . htmlspecialchars($sOnChange) . '"' . $PA['onFocus'] . ' /></td>
-							<td class="c-labelCell" onclick="'.htmlspecialchars($onClickCell).'">'.
+							<td class="c-labelCell" onclick="' . htmlspecialchars($onClickCell) . '">' .
-								($selIconFile ? '<img src="'.$selIconFile.'" '.$selIconInfo[3].' vspace="2" border="0" class="absmiddle" style="margin-right: 4px;" alt="" />' : '').
+							   ($selIconFile ? '<img src="' . $selIconFile . '" ' . $selIconInfo[3] . ' vspace="2" border="0" class="absmiddle" style="margin-right: 4px;" alt="" />' : '') .
-								$label .
-								'</td>
+							   $label .
+							   '</td>
-								<td class="c-descr" onclick="'.htmlspecialchars($onClickCell).'">' . (strcmp($p[3],'') ? $help : '') . '</td>
+								<td class="c-descr" onclick="' . htmlspecialchars($onClickCell) . '">' . (strcmp($p[3], '') ? $help : '') . '</td>
 						</tr>';
 					$c++;
 				}
 			}
 
 				// Remaining checkboxes will get their set-all link:
-			if (count($setAll))	{
+			if (count($setAll)) {
-					$tRows[] = '
+				$tRows[] = '
 						<tr class="c-header-checkbox-controls">
-							<td colspan="3">'.
+							<td colspan="3">' .
-								'<a href="#" onclick="' . htmlspecialchars(implode('', $setAll).' return false;') . '">' .
+						   '<a href="#" onclick="' . htmlspecialchars(implode('', $setAll) . ' return false;') . '">' .
-								htmlspecialchars($this->getLL('l_checkAll')) .
-								'</a>
+						   htmlspecialchars($this->getLL('l_checkAll')) .
+						   '</a>
-								<a href="#" onclick="' . htmlspecialchars(implode('', $unSetAll).' return false;') . '">' .
+								<a href="#" onclick="' . htmlspecialchars(implode('', $unSetAll) . ' return false;') . '">' .
-								htmlspecialchars($this->getLL('l_uncheckAll')) .
-								'</a>
+						   htmlspecialchars($this->getLL('l_uncheckAll')) .
+						   '</a>
 							</td>
 						</tr>';
 			}
 		}
 
 			// Remaining values (invalid):
-		if (count($itemArray) && !$PA['fieldTSConfig']['disableNoMatchingValueElement'] && !$config['disableNoMatchingValueElement'])	{
+		if (count($itemArray) && !$PA['fieldTSConfig']['disableNoMatchingValueElement'] && !$config['disableNoMatchingValueElement']) {
-			foreach($itemArray as $theNoMatchValue => $temp)	{
+			foreach ($itemArray as $theNoMatchValue => $temp) {
 					// Compile <checkboxes> tag:
-				array_unshift($tRows,'
+				array_unshift($tRows, '
 						<tr class="c-invalidItem">
-							<td><input type="checkbox"'.$this->insertDefStyle('check').' name="'.htmlspecialchars($PA['itemFormElName'].'['.$c.']').'" value="'.htmlspecialchars($theNoMatchValue).'" checked="checked" onclick="'.htmlspecialchars($sOnChange).'"'.$PA['onFocus'].$disabled.' /></td>
+							<td><input type="checkbox"' . $this->insertDefStyle('check') . ' name="' . htmlspecialchars($PA['itemFormElName'] . '[' . $c . ']') . '" value="' . htmlspecialchars($theNoMatchValue) . '" checked="checked" onclick="' . htmlspecialchars($sOnChange) . '"' . $PA['onFocus'] . $disabled . ' /></td>
-							<td class="c-labelCell">'.
+							<td class="c-labelCell">' .
-								t3lib_div::deHSCentities(htmlspecialchars(@sprintf($nMV_label, $theNoMatchValue))).
+									  t3lib_div::deHSCentities(htmlspecialchars(@sprintf($nMV_label, $theNoMatchValue))) .
-								'</td><td>&nbsp;</td>
+									  '</td><td>&nbsp;</td>
 						</tr>');
 				$c++;
 			}
 		}
 
 			// Add an empty hidden field which will send a blank value if all items are unselected.
-		$item .= '<input type="hidden" name="'.htmlspecialchars($PA['itemFormElName']) . '" value="" />';
+		$item .= '<input type="hidden" name="' . htmlspecialchars($PA['itemFormElName']) . '" value="" />';
 
 			// Add revert icon
 		if (is_array($restoreCmd)) {
-			$item .= '<a href="#" onclick="' . implode('', $restoreCmd).' return false;' . '">' .
+			$item .= '<a href="#" onclick="' . implode('', $restoreCmd) . ' return false;' . '">' .
-				t3lib_iconWorks::getSpriteIcon('actions-edit-undo', array('title' => htmlspecialchars($this->getLL('l_revertSelection')))) . '</a>';
+					 t3lib_iconWorks::getSpriteIcon('actions-edit-undo', array('title' => htmlspecialchars($this->getLL('l_revertSelection')))) . '</a>';
 		}
 			// Implode rows in table:
 		$item .= '
-			<table border="0" cellpadding="0" cellspacing="0" class="typo3-TCEforms-select-checkbox">'.
+			<table border="0" cellpadding="0" cellspacing="0" class="typo3-TCEforms-select-checkbox">' .
-				implode('',$tRows).'
+				 implode('', $tRows) . '
 			</table>
 			';
 
@@ -1920,32 +1910,32 @@
 	 * @return	string		The HTML code for the item
 	 * @see getSingleField_typeSelect()
 	 */
-	function getSingleField_typeSelect_singlebox($table,$field,$row,&$PA,$config,$selItems,$nMV_label)	{
+	function getSingleField_typeSelect_singlebox($table, $field, $row, &$PA, $config, $selItems, $nMV_label) {
 
 			// Get values in an array (and make unique, which is fine because there can be no duplicates anyway):
 		$itemArray = array_flip($this->extractValuesOnlyFromValueLabelList($PA['itemFormElValue']));
 
 		$disabled = '';
-		if($this->renderReadonly || $config['readOnly'])  {
+		if ($this->renderReadonly || $config['readOnly']) {
 			$disabled = ' disabled="disabled"';
 		}
 
 			// Traverse the Array of selector box items:
 		$opt = array();
-		$restoreCmd = array();	// Used to accumulate the JS needed to restore the original selection.
+		$restoreCmd = array(); // Used to accumulate the JS needed to restore the original selection.
 		$c = 0;
-		foreach($selItems as $p)	{
+		foreach ($selItems as $p) {
 				// Selected or not by default:
 			$sM = '';
-			if (isset($itemArray[$p[1]]))	{
+			if (isset($itemArray[$p[1]])) {
 				$sM = ' selected="selected"';
-				$restoreCmd[] = $this->elName($PA['itemFormElName'].'[]').'.options['.$c.'].selected=1;';
+				$restoreCmd[] = $this->elName($PA['itemFormElName'] . '[]') . '.options[' . $c . '].selected=1;';
 				unset($itemArray[$p[1]]);
 			}
 
 				// Non-selectable element:
 			$nonSel = '';
-			if (!strcmp($p[1],'--div--'))	{
+			if (!strcmp($p[1], '--div--')) {
 				$nonSel = ' onclick="this.selected=0;" class="c-divider"';
 			}
 
